import { IKeyObjectValue } from "../../../type";
import { BuiltInVariables } from "../buildInVariables";
interface ITimeArgs {
    timeframe?: string;
    session?: string;
    timezone?: string;
    bars_back?: number;
    time?: number;
    seconds?: number;
}
export default class BuildInTimeframe {
    private _variables;
    private _cacheData;
    constructor(variables: BuiltInVariables);
    get _timeframeCacheData(): IKeyObjectValue;
    set _timeframeCacheData(data: IKeyObjectValue);
    change({ timeframe }: ITimeArgs, posStr: string): any;
    in_seconds({ timeframe }?: ITimeArgs): number;
    from_seconds({ seconds }: ITimeArgs): string;
    private _calcTimeOffset;
}
export {};
